import { Event, FileChange, IRelativePattern, URI } from '@opensumi/ide-core-common';
import { IFileServiceClient } from './file-service-client';
export interface FileServiceWatcherOptions {
    fileServiceClient: IFileServiceClient;
    watchId: number;
    uri: URI;
}
export interface IFileServiceWatcher {
    watchId: number;
    onFilesChanged: Event<FileChange[]>;
    dispose(): Promise<void>;
}
export interface IRecursiveWatchRequest {
    path: string;
    recursive: boolean;
    excludes?: Array<string | IRelativePattern>;
}
export type INsfwFunction = (dir: string, eventHandler: (events: INsfw.ChangeEvent[]) => void, options?: INsfw.Options) => Promise<INsfw.NSFW>;
export declare namespace INsfw {
    interface NSFW {
        start(): Promise<void>;
        stop(): Promise<void>;
    }
    interface Options {
        debounceMS?: number;
        errorCallback?: (error: string) => void;
    }
    interface ChangeEvent {
        action: number;
        directory: string;
        file?: string;
        oldFile?: string;
        newFile?: string;
        newDirectory?: string;
    }
    enum actions {
        CREATED = 0,
        DELETED = 1,
        MODIFIED = 2,
        RENAMED = 3
    }
}
//# sourceMappingURL=watcher.d.ts.map